# QGraphicsSceneMouseEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneMouseEvent(Type type)

### Constructor Properties

- prototype: The QGraphicsSceneMouseEvent prototype object

### Prototype Object Properties

The QGraphicsSceneMouseEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- MouseButton button()
- QPointF buttonDownPos(MouseButton button)
- QPointF buttonDownScenePos(MouseButton button)
- QPoint buttonDownScreenPos(MouseButton button)
- MouseButtons buttons()
- QPointF lastPos()
- QPointF lastScenePos()
- QPoint lastScreenPos()
- KeyboardModifiers modifiers()
- QPointF pos()
- QPointF scenePos()
- QPoint screenPos()
- void setButton(MouseButton button)
- void setButtonDownPos(MouseButton button, QPointF pos)
- void setButtonDownScenePos(MouseButton button, QPointF pos)
- void setButtonDownScreenPos(MouseButton button, QPoint pos)
- void setButtons(MouseButtons buttons)
- void setLastPos(QPointF pos)
- void setLastScenePos(QPointF pos)
- void setLastScreenPos(QPoint pos)
- void setModifiers(KeyboardModifiers modifiers)
- void setPos(QPointF pos)
- void setScenePos(QPointF pos)
- void setScreenPos(QPoint pos)

### Instance Properties

QGraphicsSceneMouseEvent objects have no special properties beyond those inherited from the QGraphicsSceneMouseEvent prototype object.